import type VTableSheet from '../components/vtable-sheet';
export declare class FormulaUIManager {
    private sheet;
    private formulaBarElement;
    formulaInput: HTMLInputElement | null;
    isFormulaBarShowingResult: boolean;
    private isEnterKeyPressed;
    constructor(sheet: VTableSheet);
    createFormulaBar(): HTMLElement;
    activateFormulaBar(): void;
    deactivateFormulaBar(): void;
    cancelFormulaEdit(): void;
    confirmFormulaEdit(): void;
    updateFormulaBar(): void;
    private handleFormulaInput;
    private handleFormulaKeydown;
    clearFormula(): void;
    release(): void;
}
